Herald
OpenapiPoints

Atomically upsert the Realm's registration distribution rule set.

PUT
/api/points/{realmId}/registration-rules

Path Parameters

realmId*string

Realm ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

rules*array<>

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/points/string/registration-rules" \  -H "Content-Type: application/json" \  -d '{    "rules": [      {        "bucketId": "1980377d-7926-47e0-9e64-a9d0c746404d",        "grantMode": "string",        "triggerSources": [          "string"        ]      }    ]  }'
{  "realmId": "string",  "rules": [    {      "bucketId": "1980377d-7926-47e0-9e64-a9d0c746404d",      "displayOrder": 0,      "enabled": true,      "grantMode": "string",      "grantPeriodType": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "pointsAmount": 0,      "quotaWindows": [        {          "limit": 0,          "windowSeconds": 0        }      ],      "triggerSources": [        "string"      ],      "validityDays": 0    }  ]}
{  "code": "string",  "field": "string",  "message": "string",  "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "field": "string",  "message": "string",  "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}